package com.huiju.welcome.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.huiju.welcome.model.TaGoodsSpec;
import com.huiju.welcome.model.TdGoodsType;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author jobob
 * @since 2019-07-16
 */
@Mapper
public interface TaGoodsSpecMapper extends BaseMapper<TaGoodsSpec> {
    /**
     *
     * @param pg
     * @param specName
     * @return
     */
    IPage<TaGoodsSpec> specGoodsList(IPage<TaGoodsSpec> pg, @Param("specName") String specName);

    /**
     *
     * @param goodsId
     * @return
     */
    List<TaGoodsSpec> specListByGoodsId(@Param("goodsId") Integer goodsId);
}
