package com.huiju.welcome.model;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.List;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author jobob
 * @since 2019-07-16
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaGoods implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "goods_id", type = IdType.AUTO)
    private Integer goodsId;

    private String goodsName;

    private String orgId;

    private String caseId;

    private Integer typeId;

    private BigDecimal price;

    private Integer status;

    private LocalDateTime createDate;

    private String createUser;

    @TableField(exist = false)
    private String imgUrl;

    @TableField(exist = false)
    private String typeName;

    @TableField(exist = false)
    private List<TaGoodsSpec> specList;


}
