package com.huiju.welcome.model;

import java.math.BigDecimal;
import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author jobob
 * @since 2019-07-16
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaGoodsSpec implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "spec_id", type = IdType.AUTO)
    private Integer specId;

    private Integer goodsId;

    private BigDecimal goodsPrice;

    @TableField(exist = false)
    private String specName;


}
